## kf6-purpose 6.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Purpose)

find_package(ECM 6.13.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 6.6.0)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(FeatureSummary)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQmlTypes)
include(ECMQMLModules)
include(ECMQmlModule)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui Widgets Network Test)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
  find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
  set(HAVE_DBUS ON)
endif()

set(KF_VERSION "6.13.0") # handled by release scripts
set(KF_DEP_VERSION "6.13.0") # handled by release scripts

find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)

find_package(KAccounts6)

set_package_properties(KAccounts6 PROPERTIES
                       PURPOSE "Needed for YouTube and Nextcloud upload"
                       TYPE OPTIONAL
)
ecm_find_qmlmodule(SSO.OnlineAccounts 0.1)

ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
ecm_find_qmlmodule(org.kde.prison 1.0)

ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX PURPOSE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.12.0
)

add_subdirectory( src )
if (BUILD_TESTING)
    add_subdirectory( autotests )
    add_subdirectory( tests )
endif()

ki18n_install(po)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Purpose")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PurposeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6PurposeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6PurposeTargets.cmake NAMESPACE KF6:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Purpose COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/widgets/CMakeLists.txt ===
set(PURPOSEWIDGETS_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/PurposeWidgets")

add_library(KF6PurposeWidgets)
add_library(KF6::PurposeWidgets ALIAS KF6PurposeWidgets)

set_target_properties(KF6PurposeWidgets PROPERTIES
    VERSION     ${PURPOSE_VERSION}
    SOVERSION   ${PURPOSE_SOVERSION}
    EXPORT_NAME PurposeWidgets
)

qt_add_resources(qmlfiles_SRCS purposewidgets-resources.qrc)

target_sources(KF6PurposeWidgets PRIVATE
    menu.cpp
    ${qmlfiles_SRCS}
)

ecm_generate_export_header(KF6PurposeWidgets
    BASE_NAME PurposeWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Purpose
    DEPRECATED_BASE_VERSION 0
)

target_link_libraries(KF6PurposeWidgets
    PUBLIC
        KF6::Purpose
        Qt6::Widgets
    PRIVATE
        Qt6::Qml
        KF6::I18n
)

target_link_libraries(KF6PurposeWidgets PRIVATE
        KF6::I18nQml
)

target_include_directories(KF6PurposeWidgets
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
        "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${PURPOSEWIDGETS_INSTALL_INCLUDEDIR}>"
)

install(TARGETS KF6PurposeWidgets EXPORT KF6PurposeTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(PurposeWidgets_CamelCase_HEADERS
    HEADER_NAMES
        Menu
    REQUIRED_HEADERS PurposeWidgets_HEADERS
    PREFIX Purpose
)
install(
    FILES
        ${PurposeWidgets_CamelCase_HEADERS}
    DESTINATION ${PURPOSEWIDGETS_INSTALL_INCLUDEDIR}/Purpose # C++ namespace
    COMPONENT Devel
)
install(
    FILES
        ${Purpose_BINARY_DIR}/src/widgets/purposewidgets_export.h
        ${PurposeWidgets_HEADERS}
    DESTINATION ${PURPOSEWIDGETS_INSTALL_INCLUDEDIR}/purpose # C++ namespace
    COMPONENT Devel
)

=== src/plugins/reviewboard/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_reviewboard\")
add_subdirectory(icons)

ecm_qt_declare_logging_category(ReviewboardHelpers_SRCS
    HEADER debug.h
    IDENTIFIER PLUGIN_REVIEWBOARD
    CATEGORY_NAME kf.purpose.plugins.reviewboard
    OLD_CATEGORY_NAMES kdevplatform.plugins.reviewboard
    DESCRIPTION "purpose (reviewboard plugin)"
    EXPORT PURPOSE
)

add_library(ReviewboardHelpers STATIC reviewboardjobs.cpp ${ReviewboardHelpers_SRCS})
set_target_properties(ReviewboardHelpers PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(ReviewboardHelpers KF6::CoreAddons KF6::I18n Qt6::Network)

add_share_plugin(reviewboardplugin reviewboardplugin.cpp)
target_link_libraries(reviewboardplugin Qt6::Widgets ReviewboardHelpers)

set_target_properties(ReviewboardHelpers PROPERTIES VERSION ${PURPOSE_VERSION} SOVERSION ${PURPOSE_SOVERSION})

add_library(rbpurposequickplugin quick/reviewboardquickplugin.cpp quick/rbrepositoriesmodel.cpp quick/rbreviewslistmodel.cpp quick/reviewboardrc.cpp)
target_link_libraries(rbpurposequickplugin Qt6::Qml ReviewboardHelpers)

install(TARGETS rbpurposequickplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/purpose/reviewboard)
install(FILES quick/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/purpose/reviewboard)

=== src/plugins/saveas/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_saveas\")
add_share_plugin(saveasplugin saveasplugin.cpp)
target_link_libraries(saveasplugin KF6::KIOCore KF6::I18n)

=== debian/changelog ===
kf6-purpose (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:38:09 +0200

=== debian/control ===
Source: kf6-purpose
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               gettext,
               intltool,
               libkaccounts6-dev,
               libkf6config-dev (>= 6.13.0~),
               libkf6coreaddons-dev (>= 6.13.0~),
               libkf6i18n-dev (>= 6.13.0~),
               libkf6kcmutils-dev (>= 6.9.0~),
               libkf6kio-dev (>= 6.13.0~),
               libkf6notifications-dev (>= 6.13.0~),
               libkf6service-dev (>= 6.13.0~),
               libkirigami-dev (>= 6.13.0~),
               pkgconf,
               qml6-module-org-kde-bluezqt [linux-any],
               qml6-module-org-kde-prison,
               qml6-module-sso-onlineaccounts,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/purpose
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
Rules-Requires-Root: no

Package: libkf6purpose-bin
Architecture: any
Multi-Arch: same
Breaks: libkf5purpose-bin (<< 5.115.0-3~),
Replaces: libkf5purpose-bin (<< 5.115.0-3~),
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: qml6-module-org-kde-kdeconnect, qml6-module-org-kde-purpose,
Suggests: kdeconnect,
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf6purpose-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, translations
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose translations.

Package: libkf6purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-dev (>= 6.13.0~),
         libkf6purpose6 (= ${binary:Version}),
         libkf6purposewidgets6 (= ${binary:Version}),
         qml6-module-org-kde-purpose (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf6purpose6
Architecture: any
Multi-Arch: same
Depends: libkf6purpose-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: libkf6purposewidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6purpose-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose widgets library.

Package: qml6-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: kdeconnect,
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

## kf6-purpose 6.16.0

=== debian/changelog ===
kf6-purpose (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:49:34 +0100

kf6-purpose (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:36:41 +0100

kf6-purpose (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:01:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,45 @@
 Source: kf6-purpose
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
-               libkf6kcmutils-dev (>= 6.9.0~),
-               libkf6kio-dev (>= 6.13.0~),
-               libkf6notifications-dev (>= 6.13.0~),
-               libkf6service-dev (>= 6.13.0~),
-               libkirigami-dev (>= 6.13.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               libkf6kio-dev (>= 6.16.0~),
+               libkf6notifications-dev (>= 6.16.0~),
+               libkf6service-dev (>= 6.16.0~),
+               libkirigami-dev (>= 6.16.0~),
                pkgconf,
-               qml6-module-org-kde-bluezqt [linux-any],
-               qml6-module-org-kde-prison,
+               qml6-module-org-kde-bluezqt (>= 6.16.0~),
+               qml6-module-org-kde-kquickcontrolsaddons (>= 6.16.0~),
+               qml6-module-org-kde-prison (>= 6.16.0~),
                qml6-module-sso-onlineaccounts,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
-               qt6-declarative-private-dev,
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
 Rules-Requires-Root: no
 
 Package: libkf6purpose-bin
 Architecture: any
 Multi-Arch: same
-Breaks: libkf5purpose-bin (<< 5.115.0-3~),
-Replaces: libkf5purpose-bin (<< 5.115.0-3~),
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Recommends: qml6-module-org-kde-kdeconnect, qml6-module-org-kde-purpose,
+Recommends: qml6-module-org-kde-purpose,
 Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -69,11 +67,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.13.0~),
+Depends: libkf6coreaddons-dev (>= 6.16.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
@@ -89,6 +87,7 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
 Description: library for abstractions to get the developer's purposes fulfilled
@@ -101,6 +100,7 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
@@ -111,7 +111,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Recommends: kdeconnect,
+Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will

## kf6-purpose 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(Purpose)
 
-find_package(ECM 6.13.0 REQUIRED NO_MODULE)
+find_package(ECM 6.17.0 REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
@@ -25,6 +25,7 @@
 include(ECMGenerateQmlTypes)
 include(ECMQMLModules)
 include(ECMQmlModule)
+include(ECMGenerateQDoc)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui Widgets Network Test)
 
@@ -40,8 +41,8 @@
   set(HAVE_DBUS ON)
 endif()
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)
 
@@ -62,8 +63,8 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.12.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 add_subdirectory( src )

=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -67,3 +67,5 @@
     DESTINATION ${PURPOSEWIDGETS_INSTALL_INCLUDEDIR}/purpose # C++ namespace
     COMPONENT Devel
 )
+
+ecm_generate_qdoc(KF6PurposeWidgets purposewidgets.qdocconf)

=== src/plugins/kdeconnect/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_kdeconnect\")

add_share_plugin(kdeconnectplugin kdeconnectplugin.cpp)

target_link_libraries(kdeconnectplugin Qt6::DBus)

qt_add_dbus_interface(dbus_SRCS org.kde.kdeconnect.daemon.xml DaemonDbusInterface)
qt_add_dbus_interface(dbus_SRCS org.kde.kdeconnect.device.xml DeviceDbusInterface)

ecm_add_qml_module(kdeconnectQml URI "org.kde.purpose.kdeconnect" SOURCES devicesmodel.cpp ${dbus_SRCS} DEPENDENCIES QtCore GENERATE_PLUGIN_SOURCE)
target_link_libraries(kdeconnectQml PRIVATE Qt6::Gui Qt6::DBus)
ecm_finalize_qml_module(kdeconnectQml)

=== debian/changelog ===
kf6-purpose (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:19:18 +0100

=== debian/control ===
--- 
+++ 
@@ -11,21 +11,21 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6kio-dev (>= 6.16.0~),
-               libkf6notifications-dev (>= 6.16.0~),
-               libkf6service-dev (>= 6.16.0~),
-               libkirigami-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6kio-dev (>= 6.17.0~),
+               libkf6notifications-dev (>= 6.17.0~),
+               libkf6service-dev (>= 6.17.0~),
+               libkirigami-dev (>= 6.17.0~),
                pkgconf,
-               qml6-module-org-kde-bluezqt (>= 6.16.0~),
-               qml6-module-org-kde-kquickcontrolsaddons (>= 6.16.0~),
-               qml6-module-org-kde-prison (>= 6.16.0~),
+               qml6-module-org-kde-bluezqt (>= 6.17.0~),
+               qml6-module-org-kde-kquickcontrolsaddons (>= 6.17.0~),
+               qml6-module-org-kde-prison (>= 6.17.0~),
                qml6-module-sso-onlineaccounts,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -67,7 +67,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.16.0~),
+Depends: libkf6coreaddons-dev (>= 6.17.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),

## kf6-purpose 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(Purpose)
 
-find_package(ECM 6.17.0 REQUIRED NO_MODULE)
+find_package(ECM 6.18.0 REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -41,8 +41,8 @@
   set(HAVE_DBUS ON)
 endif()
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)
 
@@ -56,6 +56,7 @@
 
 ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
 ecm_find_qmlmodule(org.kde.prison 1.0)
+ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
 
 ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX PURPOSE
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
@@ -64,7 +65,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 add_subdirectory( src )

=== src/fileitemactionplugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="purpose6_fileitemaction")
include_directories(${CMAKE_SOURCE_DIR})

set(sharefileitemaction_debug_SRCS)
ecm_qt_declare_logging_category(sharefileitemaction_debug_SRCS
    HEADER purpose_fileitemaction_plugin_debug.h
    IDENTIFIER PURPOSE_FILEITEMACTION_PLUGIN_LOG
    CATEGORY_NAME kf.kio.widgets.fileitemactions.purpose
    OLD_CATEGORY_NAMES kf5.purpose.fileitemactionplugin
    DESCRIPTION "purpose fileitemaction plugin"
    EXPORT PURPOSE
)

kcoreaddons_add_plugin(sharefileitemaction
    SOURCES sharefileitemaction.cpp ${sharefileitemaction_debug_SRCS}
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(sharefileitemaction
    KF6::KIOWidgets
    KF6::I18n
    KF6::Notifications
    KF6PurposeWidgets
)

=== src/plugins/barcode/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_barcode\")
add_share_plugin(barcodeplugin barcodeplugin.cpp)

=== src/plugins/clipboard/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_clipboard\")
add_share_plugin(clipboardplugin clipboardplugin.cpp)
target_link_libraries(clipboardplugin KF6::I18n Qt::Gui)

=== src/plugins/youtube/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_youtube\")

kaccounts_add_service(${CMAKE_CURRENT_SOURCE_DIR}/google-youtube.service.in)

add_share_plugin(youtubeplugin youtubeplugin.cpp youtubejob.cpp youtubejobcomposite.cpp)
target_link_libraries(youtubeplugin KF6::WidgetsAddons KF6::KIOCore Qt6::Network KF6::I18n KF6::Purpose KAccounts6)

=== debian/changelog ===
kf6-purpose (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 22:54:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,45 +1,51 @@
 Source: kf6-purpose
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.17.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
-               libkf6kio-dev (>= 6.17.0~),
-               libkf6notifications-dev (>= 6.17.0~),
-               libkf6service-dev (>= 6.17.0~),
-               libkirigami-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6itemmodels-dev (>= 6.18.0~),
+               libkf6kcmutils-dev,
+               libkf6kio-dev (>= 6.18.0~),
+               libkf6notifications-dev (>= 6.18.0~),
+               libkf6service-dev (>= 6.18.0~),
+               libkirigami-dev (>= 6.18.0~),
                pkgconf,
-               qml6-module-org-kde-bluezqt (>= 6.17.0~),
-               qml6-module-org-kde-kquickcontrolsaddons (>= 6.17.0~),
-               qml6-module-org-kde-prison (>= 6.17.0~),
+               qml6-module-org-kde-bluezqt [linux-any],
+               qml6-module-org-kde-prison,
                qml6-module-sso-onlineaccounts,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
+               qt6-declarative-private-dev,
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
 Rules-Requires-Root: no
 
 Package: libkf6purpose-bin
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Recommends: qml6-module-org-kde-purpose,
+Breaks: libkf5purpose-bin (<< 5.115.0-3~),
+Replaces: libkf5purpose-bin (<< 5.115.0-3~),
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
+Recommends: qml6-module-org-kde-kdeconnect,
+            qml6-module-org-kde-purpose,
 Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -67,11 +73,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.17.0~),
+Depends: libkf6coreaddons-dev (>= 6.18.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
@@ -87,7 +93,6 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
-         ${qml6:Depends},
          ${shlibs:Depends},
 Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
 Description: library for abstractions to get the developer's purposes fulfilled
@@ -100,7 +105,6 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
-         ${qml6:Depends},
          ${shlibs:Depends},
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
@@ -110,8 +114,10 @@
 Package: qml6-module-org-kde-purpose
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Suggests: kdeconnect,
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
+Recommends: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will

## kf6-purpose 6.18.0+p24.04+vstable+git20250914.1626

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
   set(HAVE_DBUS ON)
 endif()
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)
@@ -65,7 +65,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 add_subdirectory( src )

=== debian/changelog ===
kf6-purpose (6.18.0+p24.04+vstable+git20250914.1626-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 16:26:27 +0000

kf6-purpose (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:10:17 +0000

kf6-purpose (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:35:06 +0000

kf6-purpose (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:50:54 +0000

kf6-purpose (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:08:51 +0000

kf6-purpose (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 07 May 2025 23:34:34 +1000

kf6-purpose (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:16:39 +0000

kf6-purpose (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:20:13 +0000

kf6-purpose (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:43:29 +0000

kf6-purpose (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:28:02 +0000

kf6-purpose (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:44:49 +0000

kf6-purpose (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 01:16:57 +0000

kf6-purpose (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:41:39 +0000

kf6-purpose (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:50:24 +0000

kf6-purpose (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:58:00 +0000

kf6-purpose (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:59:34 +0000

kf6-purpose (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:35:18 +1000

kf6-purpose (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:06:28 +0000

kf6-purpose (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:30:25 +0000

kf6-purpose (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-purpose (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-purpose 6.18.0+p24.04+vstable+git20251005.1054

=== debian/changelog ===
kf6-purpose (6.18.0+p24.04+vstable+git20251005.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:54:29 +0000

## kf6-purpose 6.19.0

=== autotests/CMakeLists.txt ===
ecm_add_test(alternativesmodeltest.cpp
    TEST_NAME alternativesmodeltest
    LINK_LIBRARIES Qt6::Test KF6::Purpose KF6::ConfigCore)
ecm_add_test(menutest.cpp
    TEST_NAME menutest
    LINK_LIBRARIES Qt6::Test KF6::PurposeWidgets)

set_property(TEST menutest PROPERTY ENVIRONMENT KDE_PURPOSE_LOCAL_JOBS=1 APPEND)
set_property(TEST alternativesmodeltest PROPERTY ENVIRONMENT KDE_PURPOSE_LOCAL_JOBS=1 APPEND)

=== src/CMakeLists.txt ===
set(PURPOSE_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/Purpose")

qt_add_resources(purpose_SRCS standard-plugin-types.qrc)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/cmake-paths.h)

ecm_qt_declare_logging_category(external_process_debug_SRCS
    HEADER purpose_external_process_debug.h
    IDENTIFIER PURPOSE_EXTERNAL_PROCESS_LOG
    CATEGORY_NAME kf.purpose.externalprocess
    OLD_CATEGORY_NAMES kf5.purpose.externalprocess
    DESCRIPTION "purpose external process"
    EXPORT PURPOSE
)

add_library(KF6Purpose)
add_library(KF6::Purpose ALIAS KF6Purpose)

qt_extract_metatypes(KF6Purpose)

set_target_properties(KF6Purpose PROPERTIES
    VERSION     ${PURPOSE_VERSION}
    SOVERSION   ${PURPOSE_SOVERSION}
    EXPORT_NAME Purpose
)

target_sources(KF6Purpose PRIVATE
    ${external_process_debug_SRCS}
    pluginbase.cpp
    job.cpp
    alternativesmodel.cpp
    configuration.cpp
    helper.cpp
    externalprocess/processjob.cpp
    jobcontroller.cpp
    ${purpose_SRCS}
)

target_include_directories(KF6Purpose
    PUBLIC
        "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${PURPOSE_INSTALL_INCLUDEDIR}>"
)
target_link_libraries(KF6Purpose
    PUBLIC
        KF6::CoreAddons
        Qt6::Gui
    PRIVATE
        Qt6::Network #QLocalSocket
        KF6::ConfigCore
)

if (HAVE_DBUS)
    target_link_libraries(KF6Purpose
        PRIVATE
        Qt6::DBus
    )
    target_compile_definitions(KF6Purpose PRIVATE -DHAVE_QTDBUS=1)
else()
    target_compile_definitions(KF6Purpose PRIVATE -DHAVE_QTDBUS=0)
endif()

install(TARGETS KF6Purpose EXPORT KF6PurposeTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_export_header(KF6Purpose
    EXPORT_FILE_NAME ${Purpose_BINARY_DIR}/purpose/purpose_export.h
    BASE_NAME Purpose
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
)

ecm_generate_headers(Purpose_CamelCase_HEADERS
    HEADER_NAMES
        PluginBase
        AlternativesModel
        Job
        Configuration
    REQUIRED_HEADERS Purpose_HEADERS
    PREFIX Purpose
)

install(
    FILES ${Purpose_CamelCase_HEADERS}
    DESTINATION ${PURPOSE_INSTALL_INCLUDEDIR}/Purpose # C++ namespace
    COMPONENT Devel
)
install(
    FILES
        ${Purpose_BINARY_DIR}/purpose/purpose_export.h
        ${Purpose_HEADERS}
    DESTINATION ${PURPOSE_INSTALL_INCLUDEDIR}/purpose # C++ namespace
    COMPONENT Devel
)

add_executable(purposeprocess externalprocess/purposeprocess_main.cpp helper.cpp ${external_process_debug_SRCS})
ecm_mark_nongui_executable(purposeprocess)
target_link_libraries(purposeprocess KF6::Purpose Qt6::Network Qt6::Widgets)
install(TARGETS purposeprocess DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

add_subdirectory(plugins)
add_subdirectory(quick)
add_subdirectory(widgets)
add_subdirectory(fileitemactionplugin)

ecm_qt_install_logging_categories(
    EXPORT PURPOSE
    FILE purpose.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(KF6Purpose purpose.qdocconf)

=== src/plugins/email/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_email\")
add_share_plugin(emailplugin emailplugin.cpp)
target_link_libraries(emailplugin KF6::I18n KF6::Service KF6::KIOGui)

=== src/plugins/kdeconnect_sms/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_kdeconnectsms\")
add_share_plugin(kdeconnectsmsplugin kdeconnectsmsplugin.cpp)
target_link_libraries(kdeconnectsmsplugin KF6::I18n KF6::KIOGui)

=== src/plugins/nextcloud/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_nextcloud\")

kaccounts_add_service(${CMAKE_CURRENT_SOURCE_DIR}/nextcloud-upload.service.in)

add_share_plugin(nextcloudplugin nextcloudplugin.cpp nextcloudjob.cpp)
target_link_libraries(nextcloudplugin KF6::KIOCore KF6::I18n KF6::Purpose KAccounts6)

=== src/plugins/phabricator/CMakeLists.txt ===
find_program(ARCANIST arc)
if(NOT ARCANIST)
    message(WARNING "The phabricator plugin depends on having the 'arc' script available in the PATH")
else()
    message(STATUS "The 'arc' script was found as ${ARCANIST}")
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_phabricator\")

add_subdirectory(icons)

set(PhabricatorHelper_SRCS phabricatorjobs.cpp)
ecm_qt_declare_logging_category(PhabricatorHelper_SRCS
    HEADER debug.h
    IDENTIFIER PLUGIN_PHABRICATOR
    CATEGORY_NAME kf.purpose.plugins.phabricator
    OLD_CATEGORY_NAMES kdevplatform.plugins.phabricator
    DEFAULT_SEVERITY Debug
    DESCRIPTION "purpose (phabricator plugin)"
    EXPORT PURPOSE
)

add_library(PhabricatorHelpers STATIC ${PhabricatorHelper_SRCS})
set_target_properties(PhabricatorHelpers PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(PhabricatorHelpers KF6::CoreAddons KF6::I18n)

add_executable(testphabricator tests/testphabricator.cpp)
ecm_mark_nongui_executable(testphabricator)
target_link_libraries(testphabricator PhabricatorHelpers Qt6::Core)

add_share_plugin(phabricatorplugin phabricatorplugin.cpp)
target_link_libraries(phabricatorplugin Qt6::Widgets PhabricatorHelpers)

add_library(phabricatorquickplugin quick/phabricatorquickplugin.cpp quick/difflistmodel.cpp quick/phabricatorrc.cpp)
target_link_libraries(phabricatorquickplugin Qt6::Qml Qt6::Gui PhabricatorHelpers)

install(TARGETS phabricatorquickplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/purpose/phabricator)
install(FILES quick/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/purpose/phabricator)

=== src/plugins/phabricator/icons/CMakeLists.txt ===
ecm_install_icons(ICONS 16-apps-phabricator-purpose6.png 128-apps-phabricator-purpose6.png
                  DESTINATION ${KDE_INSTALL_ICONDIR}
                  THEME hicolor)

=== debian/changelog ===
kf6-purpose (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Add qml6-module-org-kde-kitemmodels to build deps for qmldeps
    detection.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:08:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,51 +1,46 @@
 Source: kf6-purpose
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6itemmodels-dev (>= 6.18.0~),
-               libkf6kcmutils-dev,
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkirigami-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.19.0~),
+               libkf6coreaddons-dev (>= 6.19.0~),
+               libkf6i18n-dev (>= 6.19.0~),
+               libkf6kio-dev (>= 6.19.0~),
+               libkf6notifications-dev (>= 6.19.0~),
+               libkf6service-dev (>= 6.19.0~),
+               libkirigami-dev (>= 6.19.0~),
                pkgconf,
-               qml6-module-org-kde-bluezqt [linux-any],
-               qml6-module-org-kde-prison,
+               qml6-module-org-kde-bluezqt (>= 6.19.0~),
+               qml6-module-org-kde-kitemmodels (>= 6.19.0~),
+               qml6-module-org-kde-kquickcontrolsaddons (>= 6.19.0~),
+               qml6-module-org-kde-prison (>= 6.19.0~),
                qml6-module-sso-onlineaccounts,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
-               qt6-declarative-private-dev,
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
 Rules-Requires-Root: no
 
 Package: libkf6purpose-bin
 Architecture: any
 Multi-Arch: same
-Breaks: libkf5purpose-bin (<< 5.115.0-3~),
-Replaces: libkf5purpose-bin (<< 5.115.0-3~),
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Recommends: qml6-module-org-kde-kdeconnect,
-            qml6-module-org-kde-purpose,
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Recommends: qml6-module-org-kde-purpose,
 Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -73,11 +68,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.18.0~),
+Depends: libkf6coreaddons-dev (>= 6.19.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
@@ -93,6 +88,7 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
 Description: library for abstractions to get the developer's purposes fulfilled
@@ -105,6 +101,7 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
@@ -114,10 +111,8 @@
 Package: qml6-module-org-kde-purpose
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Recommends: kdeconnect,
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_shlibdeps:
	dh_shlibdeps -plibkf6purpose6 -plibkf6purposewidgets6 -- -xlibkf6purpose-bin
	dh_shlibdeps --remaining-packages

override_dh_auto_test:
	# Disable auto_tests at build time
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/purpose-(.*)\.tar\.xz
